/*
 * ENIで設定されたスレーブ情報を管理するクラスヘッダー
 * SlaveConfigInfo.h
 *
 *  Created on: 2018/09/26
 *      Author: shingo
 */

#ifndef SLAVECONFIGINFO_H_
#define SLAVECONFIGINFO_H_

#include <EcInterfaceCommon.h>

class SlaveConfigInfo
{
public:
    SlaveConfigInfo();
    virtual ~SlaveConfigInfo();

    void readEniInfo();
    void print();

private:
    /** NEI登録スレーブ数 */
    EC_T_DWORD slaveCount;
    /** スレーブ情報リストへのポインタ(mallocエリアを示す） */
    EC_T_CFG_SLAVE_INFO* slaveInfoList;
};

#endif /* SLAVECONFIGINFO_H_ */
